body {
    font-family: var(--main-font), -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu",
        "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-size: 20px;
    color: var(--text-color);
    background-color: var(--bg-default);
    min-height: 100vh;
}

html {
    scroll-behavior: smooth;
}

*::-webkit-scrollbar {
    width: 12px;
}

*::-webkit-scrollbar-track {
    background-color: rgba(55, 55, 55, 0.25);
}

*::-webkit-scrollbar-thumb {
    background-color: var(--primary-color);
    border: 1px solid transparent;
    border-radius: 10px;
    background-clip: content-box;
}

a {
    color: var(--links-color);
    text-decoration: none;
}

ul {
    list-style-type: none;
}

main {
    min-height: calc(100vh - 95px - 45px);
    margin: 0 15%;
}

.btn {
    width: fit-content;
    min-height: 45px;
    padding: 0 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 10px;
    font-weight: 500;
    border-radius: 10px;
    text-decoration: none;
    box-shadow: 0px 0px 7px rgba(0, 0, 0, .25);
    transition: 0.15s ease-in-out;
    cursor: pointer;
}

.btn:hover {
    transform: scale(1.01);
    box-shadow: 0px 0px 5px rgba(0, 0, 0, .5);
}

.btn-primary {
    background-color: var(--btn-primary-color);
    color: var(--text-light-color);
    width: 170px;
}

.btn-secondary {
    background-color: var(--btn-secondary-color);
    color: var(--text-light-color);
    width: 170px;
}

.btn-link {
    width: fit-content;
    height: fit-content;
    text-decoration: none;
}

.text-highlight {
    color: var(--primary-color);
}

.text-secondary {
    color: var(--secondary-color);
}

input {
    height: 45px;
    padding: 0 10px;
    background: white;
    border: 2px solid var(--silver-chalice);
    box-sizing: border-box;
    border-radius: 3px;
    font-family: var(--text-font);
    font-size: 20px;
}

input:focus {
    border: 2px solid var(--primary-color);
    outline: var(--primary-color) solid 2px;
    border-radius: 3px;
}

input::placeholder {
    font-family: var(--main-font);
    font-size: 20px;
    color: var(--silver-chalice);
}

input[type='submit'] {
    cursor: pointer;
    background-color: var(--primary-color);
    border: none;
    color: var(--text-light-color);
}

.flash-message {
    width: fit-content;
    margin: auto;
    color: var(--silver-chalice);
    font-size: small;
}

.align-center {
    display: flex;
    align-items: center;
}

/* ******************* Home ********************** */

.home-header {
    min-height: calc(100% - 180px - 45px);
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.home-header-description {
    max-width: 500px;
    margin-top: 50px;
    margin-bottom: 50px;
}

.home-header img {
    width: 400px;
    margin-left: 10%;
}

.home-header-buttons {
    margin: auto;
    display: flex;
    justify-content: center;
}

.home-header-buttons>.btn:last-child {
    margin-left: 25px;
}

/* ******************* Login ********************** */

.login-container {
    height: calc(100% - 95px - 45px);
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.login-container>div {
    background-color: var(--bg-alternative);
    width: 500px;
    height: 500px;
    padding: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-shadow: 0px 0px 7px rgba(0, 0, 0, .25);
    border-radius: 15px;
}

.login-container img {
    width: 100px;
}

.login-container form {
    display: flex;
    flex-direction: column;
}

.login-container input {
    margin-top: 15px;
    width: 100%;
    min-width: 350px;
}

/* ******************* Login ********************** */

.dashboard-container {
    padding-top: 70px;
}

.dashboard-container .dashboard-title {
    margin-bottom: 15px;
}

.dashboard-container .dashboard-opportunities-container {
    margin-top: 15px;
    display: flex;
}

.dashboard-container .dashboard-opportunity-card {
    background-color: var(--bg-alternative);
    padding: 25px;
    margin-right: 15px;
    border: solid 1px var(--primary-color);
    border-radius: 5px;
    color: var(--text-color);
    text-decoration: none;
}

.dashboard-container .dashboard-opportunity-card:hover {
    cursor: pointer;
    box-shadow: 0px 0px 7px rgba(0, 0, 0, .25);
}

.dashboard-container .dashboard-opportunity-card b {
    display: block;
    margin-bottom: 15px;
}